Bug 985620 - [abrt] NetworkManager-0.9.8.2-8.git20130709.fc19: nm_active_connection_get_path: Process /usr/sbin/NetworkManager was killed by signal 11 (SIGSEGV)
[abrt] NetworkManager-0.9.8.2-8.git20130709.fc19: nm_active_connection_get_pa...
Status: CLOSED DUPLICATE of bug 946920
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:e2bdd66d9f1399c653d7c32b4f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 18:26 EDT by David Woodhouse
Modified: 2013-07-19 06:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 06:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.75 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: cgroup (174 bytes, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: core_backtrace (1.55 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: dso_list (3.97 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: environ (114 bytes, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: maps (19.32 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: open_fds (1.88 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: proc_pid_status (908 bytes, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details
File: var_log_messages (11.06 KB, text/plain)
2013-07-17 18:26 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2013-07-17 18:26:08 EDT
Description of problem:
Wireless driver stopped working so I unloaded and reloaded it.

Version-Release number of selected component:
NetworkManager-0.9.8.2-8.git20130709.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_active_connection_get_path
executable:     /usr/sbin/NetworkManager
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 nm_active_connection_get_path at nm-active-connection.c:142
 #1 get_property at nm-manager.c:4466
 #2 object_get_property at gobject.c:1295
 #3 g_object_get_property at gobject.c:2229
 #4 get_all_object_properties at dbus-gobject.c:1322
 #5 object_registration_message at dbus-gobject.c:2204
 #6 _dbus_object_tree_dispatch_and_unlock at dbus-object-tree.c:862

Potential duplicate: bug 946920
Comment 1 David Woodhouse 2013-07-17 18:26:15 EDT
Created attachment 775001 [details]
File: backtrace
Comment 2 David Woodhouse 2013-07-17 18:26:23 EDT
Created attachment 775002 [details]
File: cgroup
Comment 3 David Woodhouse 2013-07-17 18:26:27 EDT
Created attachment 775003 [details]
File: core_backtrace
Comment 4 David Woodhouse 2013-07-17 18:26:33 EDT
Created attachment 775004 [details]
File: dso_list
Comment 5 David Woodhouse 2013-07-17 18:26:37 EDT
Created attachment 775005 [details]
File: environ
Comment 6 David Woodhouse 2013-07-17 18:26:41 EDT
Created attachment 775006 [details]
File: limits
Comment 7 David Woodhouse 2013-07-17 18:26:44 EDT
Created attachment 775007 [details]
File: maps
Comment 8 David Woodhouse 2013-07-17 18:26:47 EDT
Created attachment 775008 [details]
File: open_fds
Comment 9 David Woodhouse 2013-07-17 18:26:52 EDT
Created attachment 775009 [details]
File: proc_pid_status
Comment 10 David Woodhouse 2013-07-17 18:26:57 EDT
Created attachment 775010 [details]
File: var_log_messages
Comment 11 zgeorge.zhao 2013-07-18 22:01:55 EDT
bridge setting crashed

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_active_connection_get_path
executable:     /usr/sbin/NetworkManager
kernel:         3.9.9-302.fc19.x86_64
package:        NetworkManager-0.9.8.2-8.git20130709.fc19
reason:         Process /usr/sbin/NetworkManager was killed by signal 11 (SIGSEGV)
runlevel:       3 5
uid:            0
Comment 12 Jirka Klimes 2013-07-19 06:04:23 EDT
case PROP_ACTIVE_CONNECTIONS:
    active = g_ptr_array_sized_new (3);
    for (iter = priv->active_connections; iter; iter = g_slist_next (iter)) {
--->    path = nm_active_connection_get_path (NM_ACTIVE_CONNECTION (iter->data));
        g_ptr_array_add (active, g_strdup (path));
    }
    g_value_take_boxed (value, active);
    break;

The active connection has to be freed before. Probably, due to removing a device.
Yeah, it is duplicate of bug 946920.

David, are you able to reproduce?

*** This bug has been marked as a duplicate of bug 946920 ***

Note You need to log in before you can comment on or make changes to this bug.